Create an employee
curl --request POST \
--url https://api.talkpilot.io/v1/agents/{agentId}/employees \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "Max Mustermann",
"phone_number": "+491701234567",
"email": "max@example.com",
"status": "anwesend",
"active": true,
"get_mail": true
}
'import requests
url = "https://api.talkpilot.io/v1/agents/{agentId}/employees"
payload = {
"name": "Max Mustermann",
"phone_number": "+491701234567",
"email": "max@example.com",
"status": "anwesend",
"active": True,
"get_mail": True
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Max Mustermann',
phone_number: '+491701234567',
email: 'max@example.com',
status: 'anwesend',
active: true,
get_mail: true
})
};
fetch('https://api.talkpilot.io/v1/agents/{agentId}/employees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"phone_number": "<string>",
"email": "jsmith@example.com",
"status": "anwesend",
"active": true,
"get_mail": true,
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"back_at_work_at": "2023-12-25",
"notdienst_bereich": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Employees
Create an employee
POST
/
v1
/
agents
/
{agentId}
/
employees
Create an employee
Authorizations
API key for external access. Format: tp_live_<32-hex-chars>.
Create keys in the TalkPilot Dashboard under Settings > API.
Path Parameters
Agent UUID
Body
application/json
Required string length:
1 - 255Maximum string length:
30Employee availability status:
anwesend— Present / availableurlaub— On vacationkrank— Sick leaveweiterbildung— In trainingnotdienst— Emergency dutyim_termin— In a meetingausser_haus— Out of office
Available options:
anwesend, urlaub, krank, weiterbildung, notdienst, im_termin, ausser_haus Only kept when status is notdienst
Response
Employee created
Employee availability status:
anwesend— Present / availableurlaub— On vacationkrank— Sick leaveweiterbildung— In trainingnotdienst— Emergency dutyim_termin— In a meetingausser_haus— Out of office
Available options:
anwesend, urlaub, krank, weiterbildung, notdienst, im_termin, ausser_haus Whether the employee receives email notifications
Expected return date (YYYY-MM-DD) while absent
Emergency-duty area of the current shift (one of the organization's notdienst_bereiche). Cleared automatically when the status leaves notdienst